Linux-GPIB 4.3.7 Documentation
Prev |  | Next

# ibgts

## Name

ibgts -- release ATN (board)

## Synopsis

    #include <gpib/ib.h>

``int ibgts`(int ud, int shadow_handshake);`

## Description

ibgts() is the complement of ibcac(), and causes the board specified by the board descriptor `ud` to go to standby by releasing the ATN line. The board must be controller-in-change to change the state of the ATN line. If `shadow_handshake` is nonzero, then the board will handshake any data bytes it receives until it encounters an EOI or end-of-string character, or the ATN line is asserted again. The received data is discarded.

It is generally not necessary to call ibgts(). It is provided for advanced users who want direct, low-level access to the GPIB bus.

## Return value

The value of ibsta is returned.

Prev | Home | Next
ibfind | Up | ibist